

from datetime import datetime


attacks = [
    {
        'id': 1,
        'start_time': '28/12/2015 10:29:14',
        'end_time': '28/12/2015 10:44:53',
        'points': ['MV-101'],
    },
    {
        'id': 2,
        'start_time': '28/12/2015 10:51:08',
        'end_time': '28/12/2015 10:58:30',
        'points': ['P-102'],
    },
    {
        'id': 3,
        'start_time': '28/12/2015 11:22:00',
        'end_time': '28/12/2015 11:28:22',
        'points': ['LIT-101'],
    },
    {
        'id': 4,
        'start_time': '28/12/2015 11:47:39',
        'end_time': '28/12/2015 11:54:08',
        'points': ['MV-504'],
    },
    {
        'id': 6,
        'start_time': '28/12/2015 12:00:55',
        'end_time': '28/12/2015 12:04:10',
        'points': ['AIT-202'],
    },
    {
        'id': 7,
        'start_time': '28/12/2015 12:08:04', # 28/12/2015 12:08:25
        'end_time': '28/12/2015 12:15:33',
        'points': ['LIT-301'],
    },
    {
        'id': 8,
        'start_time': '28/12/2015 13:10:10',
        'end_time': '28/12/2015 13:26:13',
        'points': ['DPIT-301'],
    },
    {
        'id': 10,
        'start_time': '28/12/2015 14:16:20',
        'end_time': '28/12/2015 14:19:00',
        'points': ['FIT-401'],
    },
    {
        'id': 11,
        'start_time': '28/12/2015 14:19:00',
        'end_time': '28/12/2015 14:28:20',
        'points': ['FIT-401'],
    },
    {
        'id': 13,
        'start_time': '29/12/2015 11:11:25',
        'end_time': '29/12/2015 11:15:17',
        'points': ['MV-304'],
    },
    {
        'id': 14,
        'start_time': '29/12/2015 11:35:40',
        'end_time': '29/12/2015 11:42:50',
        'points': ['MV-303'],
    },
    {
        'id': 16,
        'start_time': '29/12/2015 11:57:25',
        'end_time': '29/12/2015 12:02:00',
        'points': ['LIT-301'],
    },
    {
        'id': 17,
        'start_time': '29/12/2015 14:38:12',
        'end_time': '29/12/2015 14:50:08',
        'points': ['MV-303'],
    },
    {
        'id': 19,
        'start_time': '29/12/2015 18:10:43',
        'end_time': '29/12/2015 18:15:01',
        'points': ['AIT-504'],
    },
    {
        'id': 20,
        'start_time': '29/12/2015 18:15:43',
        'end_time': '29/12/2015 18:22:17',
        'points': ['AIT-504'],
    },
    {
        'id': 21,
        'start_time': '29/12/2015 18:29:58', # 29/12/2015 18:30:00
        'end_time': '29/12/2015 18:42:00',
        'points': ['MV-101', 'LIT-101'],
    },
    {
        'id': 22,
        'start_time': '29/12/2015 22:55:18',
        'end_time': '29/12/2015 23:03:00',
        'points': ['UV-401', 'AIT-502', 'P-501'],
    },
    {
        'id': 23,
        'start_time': '30/12/2015 01:42:34',
        'end_time': '30/12/2015 01:54:10',
        'points': ['P-602', 'DPIT-301', 'MV-302'],
    },
    {
        'id': 24,
        'start_time': '30/12/2015 09:51:08',
        'end_time': '30/12/2015 09:56:28',
        'points': ['P-203', 'P-205'],
    },
    {
        'id': 25,
        'start_time': '30/12/2015 10:01:31', # 30/12/2015 10:01:50
        'end_time': '30/12/2015 10:12:01',
        'points': ['LIT-401', 'P-401'],
    },
    {
        'id': 26,
        'start_time': '30/12/2015 17:04:56',
        'end_time': '30/12/2015 17:29:00',
        'points': ['P-101', 'LIT-301'],
    },
    {
        'id': 27,
        'start_time': '31/12/2015 01:17:08',
        'end_time': '31/12/2015 01:45:18',
        'points': ['P-302', 'LIT-401'],
    },
    {
        'id': 28,
        'start_time': '31/12/2015 01:45:18', # 31/12/2015 01:45:19
        'end_time': '31/12/2015 11:15:27',
        'points': ['P-302'],
    },
    {
        'id': 29,
        'start_time': '31/12/2015 15:32:00',
        'end_time': '31/12/2015 15:34:00',
        'points': ['P-201', 'P-203', 'P-205'],
    },
    {
        'id': 30,
        'start_time': '31/12/2015 15:47:02', # 31/12/2015 15:47:40
        'end_time': '31/12/2015 16:07:10',
        'points': ['LIT-101', 'P-101', 'MV-201'],
    },
    {
        'id': 31,
        'start_time': '31/12/2015 22:05:34',
        'end_time': '31/12/2015 22:11:40',
        'points': ['LIT-401'],
    },
    {
        'id': 32,
        'start_time': '1/01/2016 10:36:00',
        'end_time': '1/01/2016 10:46:36', # 1/01/2016 10:46:00
        'points': ['LIT-301'],
    },
    {
        'id': 33,
        'start_time': '1/01/2016 14:21:12',
        'end_time': '1/01/2016 14:28:35',
        'points': ['LIT-101'],
    },
    {
        'id': 34,
        'start_time': '1/01/2016 17:12:40',
        'end_time': '1/01/2016 17:14:20',
        'points': ['P-101'],
    },
    {
        'id': 35,
        'start_time': '1/01/2016 17:18:56',
        'end_time': '1/01/2016 17:26:56',
        'points': ['P-101', 'P-102'],
    },
    {
        'id': 36,
        'start_time': '1/01/2016 22:16:01',
        'end_time': '1/01/2016 22:25:43', # 1/01/2016 22:25:00
        'points': ['LIT-101'],
    },
    {
        'id': 37,
        'start_time': '2/01/2016 11:17:02',
        'end_time': '2/01/2016 11:25:27', # 2/01/2016 11:24:50
        'points': ['P-501', 'FIT-502'],
    },
    {
        'id': 38,
        'start_time': '2/01/2016 11:31:38',
        'end_time': '2/01/2016 11:36:18',
        'points': ['AIT-402', 'AIT-502'],
    },
    {
        'id': 39,
        'start_time': '2/01/2016 11:43:48',
        'end_time': '2/01/2016 11:50:28',
        'points': ['FIT-401', 'AIT-502'],
    },
    {
        'id': 40,
        'start_time': '2/01/2016 11:51:42',
        'end_time': '2/01/2016 11:56:38',
        'points': ['FIT-401'],
    },
    {
        'id': 41,
        'start_time': '2/01/2016 13:13:02',
        'end_time': '2/01/2016 13:40:56',
        'points': ['LIT-301'],
    },
]

for attack in attacks:
    attack['start_time_dt'] = datetime.strptime(attack['start_time'], '%d/%m/%Y %H:%M:%S')
    attack['end_time_dt'] = datetime.strptime(attack['end_time'], '%d/%m/%Y %H:%M:%S')


